Bug Hunting Session
Bug 51497 - Output from SELECT statements in the "Execute SQL" window?
Summary: Output from SELECT statements in the "Execute SQL" window?
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Base (show other bugs)
Version:
(earliest affected)
unspecified
Hardware: All All
: medium enhancement
Assignee: philhart
URL:
Whiteboard: target:3.7.0
Keywords:
Depends on:
Blocks:
 
Reported: 2012-06-27 22:06 UTC by philhart
Modified: 2012-07-02 08:33 UTC (History)
1 user (show)

See Also:
Crash report or crash signature:


Attachments
Screenshot (41.37 KB, image/png)
2012-06-29 18:16 UTC, philhart
Details

Note You need to log in before you can comment on or make changes to this bug.
Description philhart 2012-06-27 22:06:58 UTC
Putting a SELECT statement into the "Execute SQL" window results in a success/no success response. Would it be possible to optionally also display the result of such statements?
Comment 1 philhart 2012-06-29 18:16:43 UTC
Created attachment 63627 [details]
Screenshot
Comment 2 philhart 2012-06-29 18:19:47 UTC
Patch submitted, awaiting testing and possible approval.

The result should resemble the attachment.
Comment 3 Not Assigned 2012-07-01 03:58:11 UTC
Phil Hart committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=10a7bcdf97c7634922626a2d858539a2f8bb0f7b

fdo#51497 Show output from SELECT statements in Execute SQL dialog.